#include<stdio.h>
int main(){
	
	long long int n;
	scanf("%lld",&n);
	
	long long int a[n];
	for(long long int i=0;i<n;i++){
		scanf("%lld",&a[i]);
	}
	
	long long int q;
	scanf("%lld",&q);
	
	long long int l[q],r[q];
	for(long long int i=0;i<q;i++){
		scanf("%lld %lld",&l[i],&r[i]);
	}
	
	int swp;
	for(long long int i=0;i<q;i++){
		
		swp=0;
		
			for(long long int k=l[i]-1;k<r[i]-1;k++){
			
			if(a[k]>a[k+1])swp++;
			printf("%d %d ",a[k],swp);
			if(swp>1)break;
			
		}
		
		if(swp>1)printf("NE\n");
		else printf("DA\n");
	}
}